#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-H1tR4RpLgyPJThvwlgHgvT
key:                  coinbase-pro-0.9.3.2-H1tR4RpLgyPJThvwlgHgvT
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  9315fc0c3b79b9f6102723196a384f46
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-H1tR4RpLgyPJThvwlgHgvT
depends:
    HsOpenSSL-0.11.7.8-B1jzBAlnBxy5ppTjDeXqFk
    aeson-2.1.2.1-6T3arzxZmxGLR0VNwk73dB
    aeson-casing-0.2.0.0-LOiWDXFus1V9CXqoFwK1Ww
    async-2.2.5-5XCvqKuypO07vwzQefuSFU base-4.16.4.0 binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-EsMTplyzNu15abFq8gbsdJ exceptions-0.10.4
    http-api-data-0.5.1-9dJv3pwUjLpJCgM7US26jc
    http-client-0.7.17-CZ4cBpyIH11CIxAM4hEdVu
    http-client-tls-0.3.6.3-KfHDi3tN7ts3IecI3jz7dj
    http-streams-0.8.9.9-JKJ0ZxSpirQLJPN55Z6u29
    http-types-0.12.4-1L1OgfMGc2W7Nfzsv4RpMF
    io-streams-1.5.2.2-7WVHR04NFoo3qFQi7RdIBD
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    network-3.1.4.0-9GJKuf6EY6MAL0cwpbhHGu
    servant-0.20.2-AhZ8y0iu8VPG3eLePqxwMF
    servant-client-0.20-8XSvhpnMVMLI0Q88ryoiBz
    servant-client-core-0.20.2-6IoMvmsuEh1ARzRdbgzpHe
    tasty-1.4.3-2gR9WDhWbJHGLAofnQHAx7
    tasty-hunit-0.10.1-4ZYp83MGxX28IFU2SfTwqM text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unagi-streams-0.2.7-1FkeVE92FXYEbch5ykZ8E1
    unordered-containers-0.2.20-EKpOBluUqpuDOTuVUTImll
    uuid-1.3.15-KzSirGgc95k572R0bB6USX
    vector-0.13.1.0-6G7HaD4XqvmDrN5OhcYDtS
    websockets-0.12.7.3-DkX0a9Cpx245blNPNqjouu
    wuss-2.0.1.1-2bux3Lv5PzfBJdvnNKDxSZ

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

